<template>
  <div class="widget-bigScreenBaseMap">
    <EchartsMap :show="showGroupPage" />
    <ProjectMap :show="showProjectPage" />
  </div>
</template>

<script>
import EchartsMap from '@/views/groupPage/baseMap/components/EchartsMap.vue'
import ProjectMap from '@/views/groupPage/baseMap/components/ProjectMap.vue'
export default {
  name: 'bigScreenBaseMap', //大屏背景
  components: { EchartsMap, ProjectMap },
  computed: {
    showGroupPage() {
      return this.$store.state.bigScreen.isShowGroupPage
    }
  },
  data() {
    return {
      showProjectPage: null
    }
  },
  watch: {
    showGroupPage(n, o) {
      this.showProjectPage = n ? false : true
    }
  }
}
</script>

<style lang='scss' scoped>
.widget-bigScreenBaseMap {
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  position: absolute;
  top: 0;
  left: 0;
}
</style>